config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/pipewire/pipewire.conf.new

( cd usr/bin ; rm -rf pw-midiplay )
( cd usr/bin ; ln -sf pw-cat pw-midiplay )
( cd usr/bin ; rm -rf pw-midirecord )
( cd usr/bin ; ln -sf pw-cat pw-midirecord )
( cd usr/bin ; rm -rf pw-play )
( cd usr/bin ; ln -sf pw-cat pw-play )
( cd usr/bin ; rm -rf pw-record )
( cd usr/bin ; ln -sf pw-cat pw-record )
( cd usr/lib ; rm -rf libpipewire-0.3.so )
( cd usr/lib ; ln -sf libpipewire-0.3.so.0 libpipewire-0.3.so )
( cd usr/lib ; rm -rf libpipewire-0.3.so.0 )
( cd usr/lib ; ln -sf libpipewire-0.3.so.0.320.0 libpipewire-0.3.so.0 )
